Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.utilities
Class AutnHttpURLConnectionBinary

    java.lang.Object
      |
      +--com.autonomy.utilities.AutnHttpURLConnection
            |
            +--com.autonomy.utilities.AutnHttpURLConnectionBinary

public class AutnHttpURLConnectionBinary
extends AutnHttpURLConnection

Binary version of AutnHttpURLConnection.

Set a byte array as the body and connect() as usual.

Everything else inherits as expected.

See Also:
  `AutnHttpURLConnection`

Constructor Summary
`AutnHttpURLConnectionBinary(java.lang.String sURL, java.util.Vector vMultiPartFilePositions, java.util.Vector vMultipartFileNames)` Construct an `AutnHttpURLConnection` object to communicate with the given URL.

Method Summary
`void` | `connect()` Opens a communications link to the resource referenced by this URL, if such a connection has not already been established.
`void` | `setBody(com.autonomy.utilities.ByteArrayBuffer babBody)`
`void` | `setContentLength(int nLen)`
`com.autonomy.utilities.ByteArrayBuffer` | `toByteArray()` Constructs the string buffer to send as this HTTP request

Methods inherited from class com.autonomy.utilities.AutnHttpURLConnection
`addHeader, allowSlackHTTP, disconnect, getBody, getHeaderField, getHeaderField, getHeaderFieldKey, getInputStream, getNumHeaders, getOutputStream, getRequestMethod, getResponseCode, getResponseMessage, getTimeout, getURL, getVersion, setBody, setContentType, setEncoding, setHeader, setRequestMethod, setTimeout, setVersion, skipResponseHeaders, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutnHttpURLConnectionBinary

    public AutnHttpURLConnectionBinary(java.lang.String sURL,
                                       java.util.Vector vMultiPartFilePositions,
                                       java.util.Vector vMultipartFileNames)
                                throws java.net.MalformedURLException

  Construct an `AutnHttpURLConnection` object to communicate with the given URL.

Parameters:
  `sURL` - the URL to connect to.

Method Detail

### setBody

    public void setBody(com.autonomy.utilities.ByteArrayBuffer babBody)

### setContentLength

    public void setContentLength(int nLen)

### connect

    public void connect()
                 throws java.io.IOException

  Opens a communications link to the resource referenced by this URL, if such a connection has not already been established.

  Overrides:
    `connect` in class `AutnHttpURLConnection`
  Throws:
    `java.io.IOException` - - if an I/O error occurs while opening the connection.

### toByteArray

    public com.autonomy.utilities.ByteArrayBuffer toByteArray()

  Constructs the string buffer to send as this HTTP request

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD